// Déclaration des constantes et variables

int sensorVal = 0;
float tension = 0.0;
float temperature = 0.0;


// Initialisation des entrées et sorties

void setup() {
  Serial.begin(9600);
  Serial.print("Valeur du capteur");
  Serial.print(" ; Tension en Volt");
  Serial.println(" ; Temperature en degre Celsius:");
}


// Fonction principale en boucle

void loop() {
  sensorVal = analogRead(A0);
  tension = (sensorVal/1023.0)*5.0;

  // Capteur TMP 36
  temperature = (tension - 0.5) * 100;

  // Capteur LM 35
  //temperature = tension * 100;

  Serial.print(sensorVal);
  Serial.print(" ; ");
  Serial.print(tension,2);
  Serial.print(" ; ");
  Serial.println(temperature,1);
  delay(100);
}

